Plugin Calendar Fehler

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
Motsch
Posts: 46
Joined: Tue Dec 10, 2019 10:18 am

Plugin Calendar Fehler

Post by Motsch » Fri May 21, 2021 7:13 am

Hallo miteinander,
nun habe ich mir das Calendar-Plugin von https://github.com/cmb69/calendar_xh heruntergeladen und im Plugin-Ordner installiert. Soweit klar, aber wenn ich die Seite aufrufe, dann kommt die Fehlermeldung mit dem "Debug-Modus", also "_XHdebug.txt" in den Download-Ordner und es erscheint die Fehlermeldung:
debug_fehler.JPG
Dann in der angegebenen Zeile der PHP-Datei nachgeschaut und leider kann ich da nichts feststellen, was da falsch sein soll.

Sobald das Plugin entfernt wird, ist alles wieder "normal".

Warum funktioniert die Seite nicht, wenn man das Plugin installiert?
You do not have the required permissions to view the files attached to this post.

olape
Posts: 1826
Joined: Fri Mar 13, 2015 8:47 am
Contact:

Re: Plugin Calendar Fehler

Post by olape » Fri May 21, 2021 10:57 am

Christoph wird dir das wahrscheinlich genauer beantworten können.
Ich würde vermuten, du verwendest eine zu alte PHP-Version (<7).
Ist aber nur geraten.

frase
Posts: 4133
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: Plugin Calendar Fehler

Post by frase » Fri May 21, 2021 11:05 am

olape wrote:
Fri May 21, 2021 10:57 am
Ich würde vermuten, du verwendest eine zu alte PHP-Version (<7).
Genau!
Habe gerade mal mit PHP 5.6.11 getestet und erhielt genau diese Fehlermeldung:
syntax error, unexpected ':', expecting ';' or '{' in ... \plugins\calendar\classes\Plugin.php on line 88
Also: Wenn möglich PHP 7.4.x auf dem Server wählen.

Hilfedatei wrote:Voraussetzungen
Calendar_XH ist ein Plugin für CMSimple_XH. Es benötigt CMSimple_XH ≥ 1.7.0, und PHP ≥ 7.0.0.

Motsch
Posts: 46
Joined: Tue Dec 10, 2019 10:18 am

Re: Plugin Calendar Fehler

Post by Motsch » Fri May 21, 2021 2:44 pm

Hallo,
leider muss ich Euch mit Eurer Meinung enttäuschen.
Bei mir ist auf dem Server die neueste Version installiert.
Komischerweise funktioniert die Calendar-Version 1.4.8, aber nicht die Verrsion 2.1.
Ich bin eben auf diese neue Version aus dem Thread von viewtopic.php?f=16&t=17421 gekommen und wollte es eben testen. Da kann man hier die Version downloaden . https://github.com/cmb69/calendar_xh

es grüßt
Motsch

frase
Posts: 4133
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: Plugin Calendar Fehler

Post by frase » Fri May 21, 2021 2:58 pm

Motsch wrote:
Fri May 21, 2021 2:44 pm
Bei mir ist auf dem Server die neueste Version installiert.
Nur zur Sicherheit, damit wir uns richtig verstehen. Logge dich ein und rufe auf:
Einstellungen → Info
Dort findest du unter "PHP-Version" die aktuelle Versions-Nummer.
Kannst du die mal hier nennen?

SiNiTaSa
Posts: 109
Joined: Tue Jan 03, 2017 10:33 am
Location: BW|GERMANY

Re: Plugin Calendar Fehler

Post by SiNiTaSa » Fri May 21, 2021 3:00 pm

oder welche cmsimple_xh Version hast du ??
aka smaxle | plugin_XH 1.7

Motsch
Posts: 46
Joined: Tue Dec 10, 2019 10:18 am

Re: Plugin Calendar Fehler

Post by Motsch » Fri May 21, 2021 3:15 pm

Hallo,
hier die beiden Bilder, die mir bei Einstellungen> Info angezeigt werden.
[ external image ]
[ external image ]

Alles an Plugins ist auf den neuesten Stand, zumindest wenn der "Hi-Updatecheck" eine Meldung bringt und der Download steht zur Verfügung, dann wird gleich alles auf NEU gestellt.

Grüße
motsch

P.S. Browser Firefox wird ständig der Cache und Cookies gelöscht, liegt es daran?
You do not have the required permissions to view the files attached to this post.

cmb
Posts: 13766
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin Calendar Fehler

Post by cmb » Fri May 21, 2021 3:21 pm

Es geht nicht um die CMSimple_XH Version, oder die Version des Plugin, sondern um die PHP. Die ist bei dir ziemlich sicher kleiner als PHP 7.0.0.
frase wrote:
Fri May 21, 2021 2:58 pm
Einstellungen → Info
Dort findest du unter "PHP-Version" die aktuelle Versions-Nummer.
Kannst du die mal hier nennen?
Christoph M. Becker – Plugins for CMSimple_XH

Motsch
Posts: 46
Joined: Tue Dec 10, 2019 10:18 am

Re: Plugin Calendar Fehler

Post by Motsch » Fri May 21, 2021 3:35 pm

Hallo,
was soll ich noch antworten?
Im cmsimple wird mir das angezeigt, was sich gesendet habe und bei all-inkl ist die Version 7.4 aktiv, zumindest wird das ist dieser Liste von PHP-Dateien angezeigt.
Wie soll ein User nun feststellen was Fakt ist?
Ich kann doch nur das abrufen, was möglich ist. Ich bin kein Bill Gates, Google-Besitzer oder Facebook-Inhaber. Ganz einfach ein User der seine Seiten mit CMS gestalten möchte mit normalen Computerkenntnissen (das wird wieder eine Frage werden ;-) )

frase
Posts: 4133
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: Plugin Calendar Fehler

Post by frase » Fri May 21, 2021 3:56 pm

Motsch wrote:
Fri May 21, 2021 3:35 pm
Ich kann doch nur das abrufen, was möglich ist. Ich bin kein Bill Gates, Google-Besitzer oder Facebook-Inhaber. Ganz einfach ein User der seine Seiten mit CMS gestalten möchte mit normalen Computerkenntnissen (das wird wieder eine Frage werden ;-) )
Ja, ich kann dich voll verstehen.
Und wie es ausssieht, kann ich mir den Fehler nur so erklären, dass du ein Template von ge-webdesign.de verwendest.
Und vermutlich steht dort etwas drin, was nicht mit CMSimple_XH zusammenpasst.
Früher waren die beiden CMSimple-Forks untereinander weitgehend kompatibel - zumindest was die Templates angeht.
Das ist nun heutzutage nicht mehr der Fall.

Um vielleicht den Fehler noch zu finden um dir weiterhelfen zu können, solltest du mal testweise ein XH-Template aktivieren und schauen, ob es dann läuft.

Leider passieren solche Dinge manchmal und heute hat es dich erwischt. Das tut mir leid.
Wie du siehst, gibt es hier viele Leute, die dir gerne helfen möchten.
Die getrennte CMSimple-Entwicklungsgeschichte hat teilweise Gutes gebracht - leider auch ein paar Verwirrungen.

Post Reply